package com.imofan.android.develop.sns;
/***
 * OauthBuilder接口
 * @author poble
 *
 */
public interface OauthBuilder {
    /***
     * 获取请求url
     * @return
     */
    String getRequestUrl();
    /***
     * 获取回调url
     * @return
     */
    String getRedirectUrl();
    /***
     * 认证成功后，回调该方法
     * @param access_token  token
     * @param expire_in  过期时间
     * @param uId  用户id
     * @return
     */
    String doResult(String access_token,String expire_in,String uId);
}
